summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2018-12-10 21:43:55 +0000
committerJames Le Cuirot <chewi@gentoo.org>2018-12-10 21:45:54 +0000
commit2cff8f8fc777a404dcefa8ad8fd4e09140fa56d4 (patch)
tree80f79451b8db8d9f795bf392eb2358d5550296f4 /games-action
parentprofiles: Mask games-action/badland on amd64 no-multilib (diff)
downloadgentoo-2cff8f8fc777a404dcefa8ad8fd4e09140fa56d4.tar.gz
gentoo-2cff8f8fc777a404dcefa8ad8fd4e09140fa56d4.tar.bz2
gentoo-2cff8f8fc777a404dcefa8ad8fd4e09140fa56d4.zip
games-action/badland: New package
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: James Le Cuirot <chewi@gentoo.org>
Diffstat (limited to 'games-action')
-rw-r--r--games-action/badland/Manifest2
-rw-r--r--games-action/badland/badland-121.ebuild67
-rw-r--r--games-action/badland/metadata.xml8
3 files changed, 77 insertions, 0 deletions
diff --git a/games-action/badland/Manifest b/games-action/badland/Manifest
new file mode 100644
index 00000000000..984eb00c0fd
--- /dev/null
+++ b/games-action/badland/Manifest
@@ -0,0 +1,2 @@
+DIST Badland_GotY_121.tar 191872792 BLAKE2B ed1c75d378b742a9f2c82f2ca1055837ff302e1438d4d1a48118ff0caf0455ce0001bb3b90e7c80361672435d2a846d67c94d1c8f28e8ecf8afe87d4177aaa86 SHA512 db018e79fada80c2e6f4ce9dc1f23bf43a8b6257207e52dbb583c484bb71e4e6b0109f750ab8fb7b1e221e2618a1994828c4525d478b7d45bf7d60012f9cf13a
+DIST badland.png 42439 BLAKE2B 9439349c8f0a0133fdc042a373a4f625d0988ef4b9de71456ccc1dab4b0f8f56ab386e5f2ba5b322ca5f885c9784c325c9be25d691a740a89dc237afa2216451 SHA512 30387f1906fb35ff9684a8ad28535de7804e456ff545fd69bc6bad3d96c6e2149ca9c5fe19a6dc711f145191d72311538b402d3891971185fc07edabd61ba52f
diff --git a/games-action/badland/badland-121.ebuild b/games-action/badland/badland-121.ebuild
new file mode 100644
index 00000000000..78a303c6988
--- /dev/null
+++ b/games-action/badland/badland-121.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit desktop eutils gnome2-utils
+
+DESCRIPTION="Atmospheric side-scrolling action adventure platformer set in a gorgeous forest"
+HOMEPAGE="http://badlandgame.com"
+SRC_URI="Badland_GotY_${PV}.tar
+ https://dev.gentoo.org/~chewi/distfiles/${PN}.png"
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+RESTRICT="bindist splitdebug"
+
+QA_PREBUILT="opt/${PN}/*"
+
+DEPEND="
+ app-admin/chrpath
+"
+
+RDEPEND="
+ dev-db/sqlite:3[abi_x86_32]
+ media-libs/fontconfig:1.0[abi_x86_32]
+ media-libs/freetype:2[abi_x86_32]
+ media-libs/libpng:1.2[abi_x86_32]
+ media-libs/libsdl2[abi_x86_32,joystick,opengl,sound,threads,video]
+ net-misc/curl[abi_x86_32]
+ >=sys-devel/gcc-4.6[cxx]
+ >=sys-libs/glibc-2.14
+ virtual/opengl[abi_x86_32]
+ x11-libs/libX11[abi_x86_32]
+"
+
+S="${WORKDIR}"
+
+pkg_nofetch() {
+ einfo "Please buy and download ${SRC_URI} from:"
+ einfo " https://www.humblebundle.com/store/badland-game-of-the-year-humble-deluxe-edition"
+ einfo "and move it to your distfiles directory."
+}
+
+src_prepare() {
+ default
+
+ # Replace insecure RPATH.
+ chrpath -r '$ORIGIN' ${PN} || die
+}
+
+src_install() {
+ local dir=/opt/${PN}
+
+ insinto "${dir}"
+ doins -r Resources
+
+ exeinto "${dir}"
+ doexe ${PN} *.so
+
+ make_wrapper ${PN} "./${PN}" "${dir}"
+ make_desktop_entry ${PN} "Badland"
+
+ doicon -s 128 "${DISTDIR}"/${PN}.png
+}
+
+pkg_postinst() { gnome2_icon_cache_update; }
+pkg_postrm() { gnome2_icon_cache_update; }
diff --git a/games-action/badland/metadata.xml b/games-action/badland/metadata.xml
new file mode 100644
index 00000000000..26079e608be
--- /dev/null
+++ b/games-action/badland/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>games@gentoo.org</email>
+ <name>Gentoo Games Project</name>
+ </maintainer>
+</pkgmetadata>